Subject: [dnsext] Authority and additional section questions

From: "George Barwood" <[email-masked]>
Date: Mon, 2 May 2011 07:47:36 +0100

For some time I have had some questions about what RRsets are sent in the authority and additional sections.

There are 4 types of question:

What must be sent and why?
What should be sent and why?

Example questions:

In a positive recursive response, why is the NS RRset sent?

Should signatures for A/AAAA RRsets in the additional section be sent if available, and why?

I'm thinking of  writing a document (possibly a draft) that attempts to address these questions in a fairly
comprehensive way, but before I start I wondered if there are any existing documents (IETF or otherwise)
that I'm unaware of that addresses these questions ( especially the "why" parts ). I'm aware of the main
DNS RFCs, 1034,1035,2181,4033-35.

Thanks,
George

_______________________________________________
dnsext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dnsext